{% getparam 'popup_quickview' as params_popup_quickview %}
{% getparam 'group_shop' as params_group_shop %}

<script data-product-variants>
  {{ product.variants | to_json }}
</script>

{% if params_popup_quickview %}
  {% render 'partials/common/popup_quickview', product: product %}
{% elsif params_group_shop %}
  {% render 'partials/content/product/infos/purchase', product: product, show_button: false, dropdown: true %}
  
{% else %}

  {% assign customs_tag = product.tags | where: 'type', 'personalizacao' | first %}

  {% if customs_tag == nil %}
    {% render 'partials/content/product/infos/purchase', product: product, show_button: true, show_short_desc: false, text_string: 'Comprar', show_qtd_selector: false, show_more_link: false %}
  
  {% else %}
    <div class="add-to-cart">
      <a aria-label="Ir para o produto {{ product.name }}" href="{{ product.url }}" class="button-default add-to-cart-button">
        Personalize
      </a>
      <a aria-label="Acessar o produto {{ product.name }}" class="more-link" href="{{ product.url }}">Mais detalhes</a>
    </div>
  {% endif %}

{% endif %}